'' Three Servo Sequence in Other Cog.spin

OBJ

  system : "Propeller Board of Education"               ' PropBOE configuration tools
  servo  : "PropBOE Servos"                             ' Servo control object
  time   : "Timing"                                     ' Timing convenience methods
  pst    : "Parallax Serial Terminal Plus"              ' Terminal communication object

DAT

  pins long   14,   15,   16,   -1                     ' Servo port list
  A    long  800,    0, -800                           ' Position set A
  B    long    0, -800,  800                           ' Position set B
  C    long -800,  800,    0                           ' Position set C
  
  seq  long  @seq, @pins                               ' Required addresses (sequence and pins)
       long  @A, 2000, @B, 2000, @C, 2000, -1          ' Position set, ms time, position set, ms time, ..., -1 

PUB Go | val                                           ' Program starts here

  system.Clock(80_000_000)                             ' Propeller system clock -> 80 MHz

  ' Launch sequence into another cog.
  servo.StartSequence(@seq)                            ' Execute the servo position sequence in other cog

  ' This cog moves on to display counting.
  repeat val from 0 to 59                              ' Display 10ths of seconds for 6 seconds
    pst.Dec(val)
    pst.NewLine
    time.Pause(100)
  pst.Str(string("All done!"))                         ' Display "All done!" message

  servo.DisableList(@pins)                             ' Disable signals to servos in pins list
